package resource

import (
	"code.gitea.io/gitea/models"
)

func AddResourceSpecification(req models.ResourceSpecificationReq) error {
	if req.Status == 0 {
		req.Status = models.SpecNotVerified
	}
	if _, err := models.InsertResourceSpecification(req.ToDTO()); err != nil {
		return err
	}
	return nil
}

func UpdateUnitPrice(specId int64, unitPrice int) error {
	if _, err := models.UpdateResourceSpecificationById(specId, models.ResourceSpecification{UnitPrice: unitPrice}); err != nil {
		return err
	}
	return nil
}

func GetResourceSpecificationList(opts models.SearchResourceSpecificationOptions) (*models.ResourceSpecAndQueueListRes, error) {
	n, r, err := models.SearchResourceSpecification(opts)
	if err != nil {
		return nil, err
	}

	return models.NewResourceSpecAndQueueListRes(n, r), nil
}
